View Issue Details

IDProjectCategoryView StatusLast Update
0006080CentOS-6kernelpublic2018-03-25 16:08
ReporterFireMaster Assigned To 
PriorityurgentSeveritycrashReproducibilityN/A
Status resolvedResolutionfixed 
PlatformCentOS release 6.3 (Final)OSLinuxOS VersionCentOS 6.3
Product Version6.3 
Summary0006080: network adapter reset
DescriptionFrom user@localhost.domain.com Wed Nov 21 02:03:52 2012
Return-Path: <user@localhost.domain.com>
X-Original-To: root@localhost
Delivered-To: root@localhost.domain.com
Received: by www.domain.com (Postfix, from userid 0)
        id 11884AA006E; Wed, 21 Nov 2012 02:03:52 +0200 (EET)
Date: Wed, 21 Nov 2012 02:03:52 +0200
From: user@localhost.domain.com
To: root@localhost.domain.com
Subject: [abrt] full crash report
Message-ID: <50ac1a68.l2/8s9DadaBUc4fk%user@localhost>
User-Agent: Heirloom mailx 12.4 7/29/08
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

abrt_version: 2.0.8
cmdline: ro root=/dev/mapper/vg_os-root rd_NO_LUKS LANG=en_US.UTF-8 rd_NO_MD SYSFONT=latarcyrheb-sun16 crashkernel=131M@0M rd_LVM_LV
=vg_os/root KEYBOARDTYPE=pc KEYTABLE=us rd_NO_DM rhgb quiet
kernel: 2.6.32-279.5.1.el6.x86_64
reason: WARNING: at net/sched/sch_generic.c:261 dev_watchdog+0x26d/0x280() (Not tainted)
time: Wed 21 Nov 2012 02:03:41 AM EET

sosreport.tar.xz: Binary file, 1521560 bytes

backtrace:
:WARNING: at net/sched/sch_generic.c:261 dev_watchdog+0x26d/0x280() (Not tainted)
:Hardware name: X9SCL/X9SCM
:NETDEV WATCHDOG: eth1 (e1000e): transmit queue 0 timed out
:Modules linked in: bluetooth rfkill iptable_filter ip_tables cpufreq_ondemand acpi_cpufreq freq_table mperf ipv6 microcode serio_raw i2c_i
801 i2c_core iTCO_wdt iTCO_vendor_support sg shpchp e1000e ext4 mbcache jbd2 sd_mod crc_t10dif ahci video output megaraid_sas dm_mirror dm_
region_hash dm_log dm_mod [last unloaded: scsi_wait_scan]
:Pid: 0, comm: swapper Not tainted 2.6.32-279.5.1.el6.x86_64 #1
:Call Trace:
:<IRQ> [<ffffffff8106b747>] ? warn_slowpath_common+0x87/0xc0
:[<ffffffff8106b836>] ? warn_slowpath_fmt+0x46/0x50
:[<ffffffff8145972d>] ? dev_watchdog+0x26d/0x280
:[<ffffffff8108ca0d>] ? insert_work+0x6d/0xb0
:[<ffffffff814594c0>] ? dev_watchdog+0x0/0x280
:[<ffffffff8107e897>] ? run_timer_softirq+0x197/0x340
:[<ffffffff810a21d0>] ? tick_sched_timer+0x0/0xc0
:[<ffffffff8102b40d>] ? lapic_next_event+0x1d/0x30
:[<ffffffff81073ec1>] ? __do_softirq+0xc1/0x1e0
:[<ffffffff81096c50>] ? hrtimer_interrupt+0x140/0x250
:[<ffffffff8100c24c>] ? call_softirq+0x1c/0x30
:[<ffffffff8100de85>] ? do_softirq+0x65/0xa0
:[<ffffffff81073ca5>] ? irq_exit+0x85/0x90
:[<ffffffff81505d10>] ? smp_apic_timer_interrupt+0x70/0x9b
:[<ffffffff8100bc13>] ? apic_timer_interrupt+0x13/0x20
:<EOI> [<ffffffff812cd9ce>] ? intel_idle+0xde/0x170
:[<ffffffff812cd9b1>] ? intel_idle+0xc1/0x170
:[<ffffffff81407757>] ? cpuidle_idle_call+0xa7/0x140
:[<ffffffff81009e06>] ? cpu_idle+0xb6/0x110
:[<ffffffff814e446a>] ? rest_init+0x7a/0x80
:[<ffffffff81c21f7b>] ? start_kernel+0x424/0x430
:[<ffffffff81c2133a>] ? x86_64_start_reservations+0x125/0x129
:[<ffffffff81c21438>] ? x86_64_start_kernel+0xfa/0x109
Steps To ReproduceTCP: Peer 0000:0000:0000:0000:0000:ffff:2ef6:b3c6:58000/80 unexpectedly shrunk window 924666515:924672323 (repaired)
TCP: Peer 0000:0000:0000:0000:0000:ffff:2ef6:eae2:61037/80 unexpectedly shrunk window 210240906:210241076 (repaired)
TCP: Peer 0000:0000:0000:0000:0000:ffff:542b:9891:49320/80 unexpectedly shrunk window 1584464256:1584503676 (repaired)
UDP: bad checksum. From 184.82.116.148:27927 to 87.120.6.235:137 ulen 58
TCP: Peer 0000:0000:0000:0000:0000:ffff:2e0c:1f6d:52265/80 unexpectedly shrunk window 2773271645:2773272305 (repaired)
TCP: Peer 0000:0000:0000:0000:0000:ffff:5d6c:9b70:58722/80 unexpectedly shrunk window 1564578795:1564590475 (repaired)
------------[ cut here ]------------
WARNING: at net/sched/sch_generic.c:261 dev_watchdog+0x26d/0x280() (Not tainted)
Hardware name: X9SCL/X9SCM
NETDEV WATCHDOG: eth1 (e1000e): transmit queue 0 timed out
Modules linked in: bluetooth rfkill iptable_filter ip_tables cpufreq_ondemand acpi_cpufreq freq_table mperf ipv6 microcode serio_raw i2c_i801 i2c_core iTCO_wdt iTCO_vendor_support sg shpchp e1000e ext4 mbcache jbd2 sd_mod crc_t10dif ahci video output megaraid_sas dm_mirror dm_region_hash dm_log dm_mod [last unloaded: scsi_wait_scan]
Pid: 0, comm: swapper Not tainted 2.6.32-279.5.1.el6.x86_64 #1
Call Trace:
 <IRQ> [<ffffffff8106b747>] ? warn_slowpath_common+0x87/0xc0
 [<ffffffff8106b836>] ? warn_slowpath_fmt+0x46/0x50
 [<ffffffff8145972d>] ? dev_watchdog+0x26d/0x280
 [<ffffffff8108ca0d>] ? insert_work+0x6d/0xb0
 [<ffffffff814594c0>] ? dev_watchdog+0x0/0x280
 [<ffffffff8107e897>] ? run_timer_softirq+0x197/0x340
 [<ffffffff810a21d0>] ? tick_sched_timer+0x0/0xc0
 [<ffffffff8102b40d>] ? lapic_next_event+0x1d/0x30
 [<ffffffff81073ec1>] ? __do_softirq+0xc1/0x1e0
 [<ffffffff81096c50>] ? hrtimer_interrupt+0x140/0x250
 [<ffffffff8100c24c>] ? call_softirq+0x1c/0x30
 [<ffffffff8100de85>] ? do_softirq+0x65/0xa0
 [<ffffffff81073ca5>] ? irq_exit+0x85/0x90
 [<ffffffff81505d10>] ? smp_apic_timer_interrupt+0x70/0x9b
 [<ffffffff8100bc13>] ? apic_timer_interrupt+0x13/0x20
 <EOI> [<ffffffff812cd9ce>] ? intel_idle+0xde/0x170
 [<ffffffff812cd9b1>] ? intel_idle+0xc1/0x170
 [<ffffffff81407757>] ? cpuidle_idle_call+0xa7/0x140
 [<ffffffff81009e06>] ? cpu_idle+0xb6/0x110
 [<ffffffff814e446a>] ? rest_init+0x7a/0x80
 [<ffffffff81c21f7b>] ? start_kernel+0x424/0x430
 [<ffffffff81c2133a>] ? x86_64_start_reservations+0x125/0x129
 [<ffffffff81c21438>] ? x86_64_start_kernel+0xfa/0x109
---[ end trace 72326b4d7e8913a5 ]---
e1000e 0000:04:00.0: eth1: Reset adapter
Bridge firewalling registered
lo: Disabled Privacy Extensions
e1000e 0000:00:19.0: irq 34 for MSI/MSI-X
e1000e 0000:00:19.0: irq 34 for MSI/MSI-X
ADDRCONF(NETDEV_UP): eth0: link is not ready
e1000e: eth0 NIC Link is Up 100 Mbps Full Duplex, Flow Control: Rx/Tx
e1000e 0000:00:19.0: eth0: 10/100 speed: disabling TSO
ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
ADDRCONF(NETDEV_UP): eth1: link is not ready
eth0: no IPv6 routers present
Additional InformationNeed help!!!
TagsNo tags attached.

Activities

tru

tru

2012-11-21 14:07

administrator   ~0016057

... Not tainted 2.6.32-279.5.1.el6.x86_64

2.6.32-279.14.1.el6 is the current version
from Changelog:

* Mon Oct 15 2012 Frantisek Hrbata <fhrbata@redhat.com> [2.6.32-279.14.1.el6]
...
- [netdrv] e1000e: drop check of RXCW.CW to eliminate link going up and down (Dean Nelson) [857055 847310]
...
* Tue Aug 28 2012 Frantisek Hrbata <fhrbata@redhat.com> [2.6.32-279.8.1.el6]
...
- [netdrv] e1000e: prevent oops when adapter is being closed and reset simultaneously (Dean Nelson) [847045 826375]
...

try and report back?
FireMaster

FireMaster

2012-11-21 16:00

reporter   ~0016059

Install all updates and I will report if have a problem.
Thank you!
BR,
FireMaster

FireMaster

2012-11-28 07:26

reporter   ~0016085

Hello again.
Last night we have problems again with this adapter.
The network card is cross connected (1gbps cross cable) with another ethernet card.
If you need more information for debugging the problem, please tell me.
Thank you!!!


/var/spool/mail/root
-----------------------------
From user@localhost.domain.com Tue Nov 27 22:42:51 2012
Return-Path: <user@localhost.domain.com>
X-Original-To: root@localhost
Delivered-To: root@localhost.domain.com
Received: by www.domain.com (Postfix, from userid 0)
        id 8714DAA005D; Tue, 27 Nov 2012 22:42:51 +0200 (EET)
Date: Tue, 27 Nov 2012 22:42:51 +0200
From: user@localhost.domain.com
To: root@localhost.domain.com
Subject: [abrt] full crash report
Message-ID: <50b525cb.r7FTpFXfJRKZGLJM%user@localhost>
User-Agent: Heirloom mailx 12.4 7/29/08
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

abrt_version: 2.0.8
cmdline: ro root=/dev/mapper/vg_os-root rd_NO_LUKS LANG=en_US.UTF-8 rd_NO_MD SYSFONT=latarcyrheb-sun16 crashkernel=131M@0M rd_LVM_LV
=vg_os/root KEYBOARDTYPE=pc KEYTABLE=us rd_NO_DM rhgb quiet
kernel: 2.6.32-279.14.1.el6.x86_64
reason: WARNING: at net/sched/sch_generic.c:261 dev_watchdog+0x26d/0x280() (Not tainted)
time: Tue 27 Nov 2012 10:42:41 PM EET

sosreport.tar.xz: Binary file, 1578344 bytes

backtrace:
:WARNING: at net/sched/sch_generic.c:261 dev_watchdog+0x26d/0x280() (Not tainted)
:Hardware name: X9SCL/X9SCM
:NETDEV WATCHDOG: eth1 (e1000e): transmit queue 0 timed out
:Modules linked in: cpufreq_ondemand acpi_cpufreq freq_table mperf ipv6 iptable_filter ip_tables microcode serio_raw i2c_i801 i2c_core iTCO
_wdt iTCO_vendor_support shpchp sg e1000e ext4 mbcache jbd2 sd_mod crc_t10dif ahci video output megaraid_sas dm_mirror dm_region_hash dm_lo
g dm_mod [last unloaded: scsi_wait_scan]
:Pid: 0, comm: swapper Not tainted 2.6.32-279.14.1.el6.x86_64 #1
:Call Trace:
:<IRQ> [<ffffffff8106b7b7>] ? warn_slowpath_common+0x87/0xc0
:[<ffffffff8101c2fa>] ? intel_pmu_enable_all+0xba/0x160
:[<ffffffff8106b8a6>] ? warn_slowpath_fmt+0x46/0x50
:[<ffffffff81459c0d>] ? dev_watchdog+0x26d/0x280
:[<ffffffff814599a0>] ? dev_watchdog+0x0/0x280
:[<ffffffff8107e937>] ? run_timer_softirq+0x197/0x340
:[<ffffffff810a23c0>] ? tick_sched_timer+0x0/0xc0
:[<ffffffff8102b40d>] ? lapic_next_event+0x1d/0x30
:[<ffffffff81073f61>] ? __do_softirq+0xc1/0x1e0
:[<ffffffff81096d60>] ? hrtimer_interrupt+0x140/0x250
:[<ffffffff8100c24c>] ? call_softirq+0x1c/0x30
:[<ffffffff8100de85>] ? do_softirq+0x65/0xa0
:[<ffffffff81073d45>] ? irq_exit+0x85/0x90
:[<ffffffff81506450>] ? smp_apic_timer_interrupt+0x70/0x9b
:[<ffffffff8100bc13>] ? apic_timer_interrupt+0x13/0x20
:<EOI> [<ffffffff812cddbe>] ? intel_idle+0xde/0x170
:[<ffffffff812cdda1>] ? intel_idle+0xc1/0x170
:[<ffffffff8109929d>] ? sched_clock_cpu+0xcd/0x110
:[<ffffffff81407c27>] ? cpuidle_idle_call+0xa7/0x140
:[<ffffffff81009e06>] ? cpu_idle+0xb6/0x110
:[<ffffffff814f754f>] ? start_secondary+0x22a/0x26d
toracat

toracat

2012-11-28 09:06

manager   ~0016086

The version of the e1000e driver is:

CentOS 6.3: 1.9.5-k
Intel (latest): 2.1.4

Changelog for version 2.1.4 can be found here:

http://downloadmirror.intel.com/15817/eng/readmefirst.txt

You can test to see if the latest, stable e1000e driver (2.1.4) fixes the issue by installing kmod-e1000e from ELRepo ( http://elrepo.org ).
FireMaster

FireMaster

2012-11-28 11:56

reporter   ~0016089

Dear all,
thank you for fast reply.
I have a problem with install package kmod-e1000e from ELRepo. Can you tell me how can I fix it? Here is the log:

[root@www ~]# rpm -Uvh http://elrepo.org/elrepo-release-6-4.el6.elrepo.noarch.rpm
Retrieving http://elrepo.org/elrepo-release-6-4.el6.elrepo.noarch.rpm
Preparing... ########################################### [100%]
   1:elrepo-release ########################################### [100%]

[root@www ~]# yum list kmod-e1000e
Loaded plugins: fastestmirror, security
Loading mirror speeds from cached hostfile
 * base: centos.skknet.net
 * elrepo: ftp.ines.lug.ro
 * extras: centos.skknet.net
 * rpmforge: ftp.lug.ro
 * updates: centos.skknet.net
Available Packages
kmod-e1000e.x86_64 2.1.4-1.el5.elrepo elrepo
[root@www ~]# yum install kmod-e1000e
Loaded plugins: fastestmirror, security
Loading mirror speeds from cached hostfile
 * base: centos.skknet.net
 * elrepo: ftp.ines.lug.ro
 * extras: centos.skknet.net
 * rpmforge: ftp.lug.ro
 * updates: centos.skknet.net
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package kmod-e1000e.x86_64 0:2.1.4-1.el5.elrepo will be installed
--> Processing Dependency: kernel(rhel5_net_u5) = b9ebab482a92cb15cd25d4f54ad67ab469b26593 for package: kmod-e1000e-2.1.4-1.el5.elrepo.x86_64
--> Processing Dependency: kernel(rhel5_arch_x86_64_kernel_ga) = 880dbfce5086d666f5bab6ad642c0323fcdabd90 for package: kmod-e1000e-2.1.4-1.el5.elrepo.x86_64
--> Processing Dependency: kernel(rhel5_kernel_irq_ga) = b26b8899fe5a26f79915c27d493dd911b2bde668 for package: kmod-e1000e-2.1.4-1.el5.elrepo.x86_64
--> Processing Dependency: kernel(rhel5_init_ga) = e559228f5e3b66962535a7eae4b4ddee5a195f31 for package: kmod-e1000e-2.1.4-1.el5.elrepo.x86_64
--> Processing Dependency: kernel(rhel5_vmlinux_ga) = 78f928da689a93ecf2e044fc0ced6b3eaedf5c19 for package: kmod-e1000e-2.1.4-1.el5.elrepo.x86_64
--> Processing Dependency: kernel(rhel5_kernel_ga) = 84d69198cf51b494e38d9d0a54e52607c8a507e2 for package: kmod-e1000e-2.1.4-1.el5.elrepo.x86_64
--> Processing Dependency: kernel(rhel5_arch_x86_64_mm_ga) = ca7f91963b9397351659241974f92dc85546f8ca for package: kmod-e1000e-2.1.4-1.el5.elrepo.x86_64
--> Processing Dependency: kernel(rhel5_net_sched_ga) = f59ed7ca1ff4a5999cc750181083f8e6dd78c491 for package: kmod-e1000e-2.1.4-1.el5.elrepo.x86_64
--> Processing Dependency: kernel(rhel5_drivers_base_ga) = 61dc730b8ca5e74017f2df5b55ecda8b7df7f9c2 for package: kmod-e1000e-2.1.4-1.el5.elrepo.x86_64
--> Processing Dependency: kernel(rhel5_net_core_u4) = 0971fc19326374d80187da0f9e0ad6a0a44e358c for package: kmod-e1000e-2.1.4-1.el5.elrepo.x86_64
--> Processing Dependency: kernel(rhel5_net_8021q_u5) = a115d76a21ab187c4cd99cabc757b2089b4aa50f for package: kmod-e1000e-2.1.4-1.el5.elrepo.x86_64
--> Processing Dependency: kernel(rhel5_lib_ga) = ff25b583d6d314edd98f7c9533c5867194b3d30d for package: kmod-e1000e-2.1.4-1.el5.elrepo.x86_64
--> Processing Dependency: kernel(rhel5_net_ethernet_ga) = d17ace18cf21997af17e0b1057679e4819e5b1fc for package: kmod-e1000e-2.1.4-1.el5.elrepo.x86_64
--> Processing Dependency: kernel(rhel5_drivers_net_u6) = cc543d88c688cd54f577cca9470fb0d09c8f55f1 for package: kmod-e1000e-2.1.4-1.el5.elrepo.x86_64
--> Processing Dependency: kernel(rhel5_kernel_module_ga) = a74a9d2bf87d13d6b9412698dc2728248ca92523 for package: kmod-e1000e-2.1.4-1.el5.elrepo.x86_64
--> Processing Dependency: kernel(rhel5_drivers_pci_ga) = 88a9a7f6575f2f00a7ca4ac83a9f3a2c81641290 for package: kmod-e1000e-2.1.4-1.el5.elrepo.x86_64
--> Processing Dependency: kernel(rhel5_mm_ga) = d5edc1b3d2a4f2bf8ce28d7f4dbeab27cfeb19bd for package: kmod-e1000e-2.1.4-1.el5.elrepo.x86_64
--> Processing Dependency: kernel(rhel5_net_core_ga) = c186a7dc043c903564c2dd9ed49d8847b7043c86 for package: kmod-e1000e-2.1.4-1.el5.elrepo.x86_64
--> Finished Dependency Resolution
Error: Package: kmod-e1000e-2.1.4-1.el5.elrepo.x86_64 (elrepo)
           Requires: kernel(rhel5_arch_x86_64_kernel_ga) = 880dbfce5086d666f5bab6ad642c0323fcdabd90
Error: Package: kmod-e1000e-2.1.4-1.el5.elrepo.x86_64 (elrepo)
           Requires: kernel(rhel5_init_ga) = e559228f5e3b66962535a7eae4b4ddee5a195f31
Error: Package: kmod-e1000e-2.1.4-1.el5.elrepo.x86_64 (elrepo)
           Requires: kernel(rhel5_net_core_ga) = c186a7dc043c903564c2dd9ed49d8847b7043c86
Error: Package: kmod-e1000e-2.1.4-1.el5.elrepo.x86_64 (elrepo)
           Requires: kernel(rhel5_vmlinux_ga) = 78f928da689a93ecf2e044fc0ced6b3eaedf5c19
Error: Package: kmod-e1000e-2.1.4-1.el5.elrepo.x86_64 (elrepo)
           Requires: kernel(rhel5_drivers_net_u6) = cc543d88c688cd54f577cca9470fb0d09c8f55f1
Error: Package: kmod-e1000e-2.1.4-1.el5.elrepo.x86_64 (elrepo)
           Requires: kernel(rhel5_net_u5) = b9ebab482a92cb15cd25d4f54ad67ab469b26593
Error: Package: kmod-e1000e-2.1.4-1.el5.elrepo.x86_64 (elrepo)
           Requires: kernel(rhel5_kernel_module_ga) = a74a9d2bf87d13d6b9412698dc2728248ca92523
Error: Package: kmod-e1000e-2.1.4-1.el5.elrepo.x86_64 (elrepo)
           Requires: kernel(rhel5_lib_ga) = ff25b583d6d314edd98f7c9533c5867194b3d30d
Error: Package: kmod-e1000e-2.1.4-1.el5.elrepo.x86_64 (elrepo)
           Requires: kernel(rhel5_net_ethernet_ga) = d17ace18cf21997af17e0b1057679e4819e5b1fc
Error: Package: kmod-e1000e-2.1.4-1.el5.elrepo.x86_64 (elrepo)
           Requires: kernel(rhel5_kernel_irq_ga) = b26b8899fe5a26f79915c27d493dd911b2bde668
Error: Package: kmod-e1000e-2.1.4-1.el5.elrepo.x86_64 (elrepo)
           Requires: kernel(rhel5_net_8021q_u5) = a115d76a21ab187c4cd99cabc757b2089b4aa50f
Error: Package: kmod-e1000e-2.1.4-1.el5.elrepo.x86_64 (elrepo)
           Requires: kernel(rhel5_mm_ga) = d5edc1b3d2a4f2bf8ce28d7f4dbeab27cfeb19bd
Error: Package: kmod-e1000e-2.1.4-1.el5.elrepo.x86_64 (elrepo)
           Requires: kernel(rhel5_drivers_pci_ga) = 88a9a7f6575f2f00a7ca4ac83a9f3a2c81641290
Error: Package: kmod-e1000e-2.1.4-1.el5.elrepo.x86_64 (elrepo)
           Requires: kernel(rhel5_arch_x86_64_mm_ga) = ca7f91963b9397351659241974f92dc85546f8ca
Error: Package: kmod-e1000e-2.1.4-1.el5.elrepo.x86_64 (elrepo)
           Requires: kernel(rhel5_net_core_u4) = 0971fc19326374d80187da0f9e0ad6a0a44e358c
Error: Package: kmod-e1000e-2.1.4-1.el5.elrepo.x86_64 (elrepo)
           Requires: kernel(rhel5_drivers_base_ga) = 61dc730b8ca5e74017f2df5b55ecda8b7df7f9c2
Error: Package: kmod-e1000e-2.1.4-1.el5.elrepo.x86_64 (elrepo)
           Requires: kernel(rhel5_net_sched_ga) = f59ed7ca1ff4a5999cc750181083f8e6dd78c491
Error: Package: kmod-e1000e-2.1.4-1.el5.elrepo.x86_64 (elrepo)
           Requires: kernel(rhel5_kernel_ga) = 84d69198cf51b494e38d9d0a54e52607c8a507e2
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
toracat

toracat

2012-11-28 13:38

manager   ~0016090

yum is trying to install the .el5 package on your el6 system. Are you sure you did not install elrepo-release for el5 ?
FireMaster

FireMaster

2012-11-29 10:08

reporter   ~0016094

[root@www ~]# rpm -qa |grep elrepo
elrepo-release-6-4.el6.elrepo.noarch
[root@www ~]# yum list kmod-e1000e
Loaded plugins: fastestmirror, security
Loading mirror speeds from cached hostfile
 * base: centos.skknet.net
 * elrepo: ftp.ines.lug.ro
 * extras: centos.skknet.net
 * rpmforge: ftp.lug.ro
 * updates: centos.skknet.net
Available Packages
kmod-e1000e.x86_64 2.1.4-1.el5.elrepo elrepo
[root@www ~]#
toracat

toracat

2012-11-29 14:07

manager   ~0016096

That is quite strange. But because this is a CentOS bug tracker, I think you should put it aside (resolve later) and go on to get the latest e1000e driver for testing. Try installing the kmod by running:

rpm -Uvh http://ftp.ines.lug.ro/elrepo/elrepo/el6/x86_64/RPMS/kmod-e1000e-2.1.4-1.el6.elrepo.x86_64.rpm

(I picked up the mirror site from your output)
FireMaster

FireMaster

2012-11-30 07:57

reporter   ~0016098

[root@www ~]# rpm -Uvh http://ftp.ines.lug.ro/elrepo/elrepo/el6/x86_64/RPMS/kmod-e1000e-2.1.4-1.el6.elrepo.x86_64.rpm
Retrieving http://ftp.ines.lug.ro/elrepo/elrepo/el6/x86_64/RPMS/kmod-e1000e-2.1.4-1.el6.elrepo.x86_64.rpm
Preparing... ########################################### [100%]
   1:kmod-e1000e ########################################### [100%]
Working. This may take some time ...
Done.

------------
After driver update, I setup the network card and reboot the server.
Now we waiting ...

Best Regards,
SandyTipper

SandyTipper

2012-12-02 06:31

reporter   ~0016103

Re: getting el5 packages instead of el6:
I just had this happen for the nvidia drivers.
I think there's a bad mirror or list out there, because it worked once I edited /etc/yum.repos.d/elrepo.repo to comment out all the mirrorlist= lines, and deleted all /var/cache/yum/x86_64/6/elrepo*/repomd.xml files. I did get a warning in yum about having messed with the database outside of yum, so there's probably a better way, but it worked!
toracat

toracat

2012-12-02 09:10

manager   ~0016104

@SandyTipper

Thank you for your note. I'm going to take this to ELRepo for investigation.
toracat

toracat

2012-12-05 17:51

manager   ~0016117

@FireMaster

Any status update after having run the latest version of e1000e for 5 days?
FireMaster

FireMaster

2012-12-05 20:06

reporter   ~0016118

Dear toracat,
thank you for the interest.
Now everything seems fine, but the first time the problem occurs spontaneously after 2 weeks work. I'll wait a few more days and give reports.

Best Regards!!!
narayanab16

narayanab16

2012-12-28 13:46

reporter   ~0016192

Hi,
Even i am getting this issue since 15 days
Please look into the issue if you can


Narayana


------------------------------------------------------------------
From user@localhost.example.com Fri Dec 28 18:56:29 2012
Return-Path: <user@localhost.example.com>
X-Original-To: root@localhost
Delivered-To: root@localhost.example.com
Received: by centos1.example.com (Postfix, from userid 0)
    id 0D29527DB9; Fri, 28 Dec 2012 18:56:28 +0530 (IST)
Date: Fri, 28 Dec 2012 18:56:28 +0530
From: user@localhost.example.com
To: root@localhost.example.com
Subject: [abrt] full crash report
Message-ID: <50dd9e04.H+Dtsd8aUVMMqnFx%user@localhost>
User-Agent: Heirloom mailx 12.4 7/29/08
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

abrt_version: 2.0.8
cmdline: /usr/libexec/gdm-smartcard-worker
executable: /usr/libexec/gdm-smartcard-worker
kernel: 2.6.32-279.14.1.el6.x86_64
pid: 6137
pwd: /var/gdm
reason: Process /usr/libexec/gdm-smartcard-worker was killed by signal 11 (SIGSEGV)
time: Fri 28 Dec 2012 06:55:52 PM IST
uid: 42
username: gdm

sosreport.tar.xz: Binary file, 1188700 bytes

environ:
:WINDOWPATH=7
:DISPLAY=:0.0
:XAUTHORITY=/var/run/gdm/auth-for-gdm-C9abGP/database
:LOGNAME=gdm
:GDM_VERSION=2.30.4
:HOME=/var/lib/gdm
:LANG=en_US.UTF-8
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/sbin:/sbin:/usr/sbin:/bin:/usr/bin
:PWD=/var/lib/gdm
:SHELL=/sbin/nologin
:GVFS_DISABLE_FUSE=1
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-drEIHcLjF8,guid=5168c0cd7da9891db462d7c70000010d
:RUNNING_UNDER_GDM=true
:USER=gdm
:USERNAME=gdm
:XDG_SESSION_COOKIE=fed35f10905b7d1843cc5a1a0000004c-1356701151.691626-2117667566
:GDM_GREETER_DBUS_ADDRESS=unix:abstract=/tmp/gdm-greeter-qebdSmdq,guid=3e76a8bc3b0fb86decd780a60000010c
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/6094,unix/unix:/tmp/.ICE-unix/6094
:ORBIT_SOCKETDIR=/tmp/orbit-gdm
:GTK_MODULES=gail:atk-bridge

limits:
:Limit Soft Limit Hard Limit Units
:Max cpu time unlimited unlimited seconds
:Max file size unlimited unlimited bytes
:Max data size unlimited unlimited bytes
:Max stack size 10485760 unlimited bytes
:Max core file size 0 unlimited bytes
:Max resident set unlimited unlimited bytes
:Max processes 60121 60121 processes
:Max open files 1024 4096 files
:Max locked memory 65536 65536 bytes
:Max address space unlimited unlimited bytes
:Max file locks unlimited unlimited locks
:Max pending signals 60121 60121 signals
:Max msgqueue size 819200 819200 bytes
:Max nice priority 0 0
:Max realtime priority 0 0
:Max realtime timeout unlimited unlimited us

maps:
:00400000-00408000 r-xp 00000000 fd:00 34496 /usr/libexec/gdm-smartcard-worker
:00607000-00609000 rw-p 00007000 fd:00 34496 /usr/libexec/gdm-smartcard-worker
:01eab000-01eef000 rw-p 00000000 00:00 0 [heap]
:3168200000-3168220000 r-xp 00000000 fd:00 5783 /lib64/ld-2.12.so
:316841f000-3168420000 r--p 0001f000 fd:00 5783 /lib64/ld-2.12.so
:3168420000-3168421000 rw-p 00020000 fd:00 5783 /lib64/ld-2.12.so
:3168421000-3168422000 rw-p 00000000 00:00 0
:3168600000-3168789000 r-xp 00000000 fd:00 17952 /lib64/libc-2.12.so
:3168789000-3168989000 ---p 00189000 fd:00 17952 /lib64/libc-2.12.so
:3168989000-316898d000 r--p 00189000 fd:00 17952 /lib64/libc-2.12.so
:316898d000-316898e000 rw-p 0018d000 fd:00 17952 /lib64/libc-2.12.so
:316898e000-3168993000 rw-p 00000000 00:00 0
:3168a00000-3168a02000 r-xp 00000000 fd:00 16080 /lib64/libdl-2.12.so
:3168a02000-3168c02000 ---p 00002000 fd:00 16080 /lib64/libdl-2.12.so
:3168c02000-3168c03000 r--p 00002000 fd:00 16080 /lib64/libdl-2.12.so
:3168c03000-3168c04000 rw-p 00003000 fd:00 16080 /lib64/libdl-2.12.so
:3168e00000-3168e17000 r-xp 00000000 fd:00 73904 /lib64/libpthread-2.12.so
:3168e17000-3169017000 ---p 00017000 fd:00 73904 /lib64/libpthread-2.12.so
:3169017000-3169018000 r--p 00017000 fd:00 73904 /lib64/libpthread-2.12.so
:3169018000-3169019000 rw-p 00018000 fd:00 73904 /lib64/libpthread-2.12.so
:3169019000-316901d000 rw-p 00000000 00:00 0
:3169600000-3169607000 r-xp 00000000 fd:00 73914 /lib64/librt-2.12.so
:3169607000-3169806000 ---p 00007000 fd:00 73914 /lib64/librt-2.12.so
:3169806000-3169807000 r--p 00006000 fd:00 73914 /lib64/librt-2.12.so
:3169807000-3169808000 rw-p 00007000 fd:00 73914 /lib64/librt-2.12.so
:3169e00000-3169ee4000 r-xp 00000000 fd:00 73915 /lib64/libglib-2.0.so.0.2200.5
:3169ee4000-316a0e3000 ---p 000e4000 fd:00 73915 /lib64/libglib-2.0.so.0.2200.5
:316a0e3000-316a0e5000 rw-p 000e3000 fd:00 73915 /lib64/libglib-2.0.so.0.2200.5
:316aa00000-316aa43000 r-xp 00000000 fd:00 73987 /lib64/libgobject-2.0.so.0.2200.5
:316aa43000-316ac43000 ---p 00043000 fd:00 73987 /lib64/libgobject-2.0.so.0.2200.5
:316ac43000-316ac45000 rw-p 00043000 fd:00 73987 /lib64/libgobject-2.0.so.0.2200.5
:316ba00000-316ba04000 r-xp 00000000 fd:00 73916 /lib64/libgthread-2.0.so.0.2200.5
:316ba04000-316bc03000 ---p 00004000 fd:00 73916 /lib64/libgthread-2.0.so.0.2200.5
:316bc03000-316bc04000 rw-p 00003000 fd:00 73916 /lib64/libgthread-2.0.so.0.2200.5
:3178800000-317885d000 r-xp 00000000 fd:00 74242 /lib64/libfreebl3.so
:317885d000-3178a5c000 ---p 0005d000 fd:00 74242 /lib64/libfreebl3.so
:3178a5c000-3178a5d000 r--p 0005c000 fd:00 74242 /lib64/libfreebl3.so
:3178a5d000-3178a5e000 rw-p 0005d000 fd:00 74242 /lib64/libfreebl3.so
:3178a5e000-3178a62000 rw-p 00000000 00:00 0
:317a600000-317a733000 r-xp 00000000 fd:00 74238 /usr/lib64/libnss3.so
:317a733000-317a933000 ---p 00133000 fd:00 74238 /usr/lib64/libnss3.so
:317a933000-317a938000 r--p 00133000 fd:00 74238 /usr/lib64/libnss3.so
:317a938000-317a93a000 rw-p 00138000 fd:00 74238 /usr/lib64/libnss3.so
:317a93a000-317a93c000 rw-p 00000000 00:00 0
:317aa00000-317aa03000 r-xp 00000000 fd:00 74236 /lib64/libplds4.so
:317aa03000-317ac02000 ---p 00003000 fd:00 74236 /lib64/libplds4.so
:317ac02000-317ac03000 r--p 00002000 fd:00 74236 /lib64/libplds4.so
:317ac03000-317ac04000 rw-p 00003000 fd:00 74236 /lib64/libplds4.so
:317b200000-317b220000 r-xp 00000000 fd:00 74237 /usr/lib64/libnssutil3.so
:317b220000-317b41f000 ---p 00020000 fd:00 74237 /usr/lib64/libnssutil3.so
:317b41f000-317b425000 r--p 0001f000 fd:00 74237 /usr/lib64/libnssutil3.so
:317b425000-317b426000 rw-p 00025000 fd:00 74237 /usr/lib64/libnssutil3.so
:317b600000-317b604000 r-xp 00000000 fd:00 74235 /lib64/libplc4.so
:317b604000-317b803000 ---p 00004000 fd:00 74235 /lib64/libplc4.so
:317b803000-317b804000 r--p 00003000 fd:00 74235 /lib64/libplc4.so
:317b804000-317b805000 rw-p 00004000 fd:00 74235 /lib64/libplc4.so
:317ba00000-317ba39000 r-xp 00000000 fd:00 43272 /lib64/libnspr4.so
:317ba39000-317bc38000 ---p 00039000 fd:00 43272 /lib64/libnspr4.so
:317bc38000-317bc39000 r--p 00038000 fd:00 43272 /lib64/libnspr4.so
:317bc39000-317bc3b000 rw-p 00039000 fd:00 43272 /lib64/libnspr4.so
:317bc3b000-317bc3d000 rw-p 00000000 00:00 0
:3180a00000-3180a8c000 r-xp 00000000 fd:00 74318 /usr/lib64/libsqlite3.so.0.8.6
:3180a8c000-3180c8b000 ---p 0008c000 fd:00 74318 /usr/lib64/libsqlite3.so.0.8.6
:3180c8b000-3180c8e000 rw-p 0008b000 fd:00 74318 /usr/lib64/libsqlite3.so.0.8.6
:3180c8e000-3180c8f000 rw-p 00000000 00:00 0
:7f6728000000-7f6728021000 rw-p 00000000 00:00 0
:7f6728021000-7f672c000000 ---p 00000000 00:00 0
:7f672cee4000-7f672cee5000 ---p 00000000 00:00 0
:7f672cee5000-7f672d8e5000 rw-p 00000000 00:00 0
:7f672d8e5000-7f672d90b000 r-xp 00000000 fd:00 9416 /usr/lib64/libnssdbm3.so
:7f672d90b000-7f672db0b000 ---p 00026000 fd:00 9416 /usr/lib64/libnssdbm3.so
:7f672db0b000-7f672db0c000 r--p 00026000 fd:00 9416 /usr/lib64/libnssdbm3.so
:7f672db0c000-7f672db0d000 rw-p 00027000 fd:00 9416 /usr/lib64/libnssdbm3.so
:7f672db0d000-7f672db49000 r-xp 00000000 fd:00 9418 /usr/lib64/libsoftokn3.so
:7f672db49000-7f672dd49000 ---p 0003c000 fd:00 9418 /usr/lib64/libsoftokn3.so
:7f672dd49000-7f672dd4a000 r--p 0003c000 fd:00 9418 /usr/lib64/libsoftokn3.so
:7f672dd4a000-7f672dd4b000 rw-p 0003d000 fd:00 9418 /usr/lib64/libsoftokn3.so
:7f672dd4b000-7f6733bdc000 r--p 00000000 fd:00 55443 /usr/lib/locale/locale-archive
:7f6733bdc000-7f6733be3000 rw-p 00000000 00:00 0
:7f6733c01000-7f6733c02000 rw-p 00000000 00:00 0
:7fff84c79000-7fff84c8e000 rw-p 00000000 00:00 0 [stack]
:7fff84dff000-7fff84e00000 r-xp 00000000 00:00 0 [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0 [vsyscall]

open_fds:
:0:/dev/null
:pos: 0
:flags: 0100000
:1:pipe:[40605]
:pos: 0
:flags: 01
:2:/var/log/gdm/:0-greeter.log
:pos: 1675
:flags: 0102001
:3:pipe:[40637]
:pos: 0
:flags: 00
:4:pipe:[40637]
:pos: 0
:flags: 01
:5:/etc/pki/nssdb/cert8.db
:pos: 32768
:flags: 0100000
:6:/etc/pki/nssdb/key3.db
:pos: 8192
:flags: 0100000
:7:pipe:[40638]
:pos: 0
:flags: 00
:8:pipe:[40638]
:pos: 0
:flags: 01
:9:pipe:[40639]
:pos: 0
:flags: 04000
:10:pipe:[40639]
:pos: 0
:flags: 01
----------------------------------------------------------------
FireMaster

FireMaster

2013-01-03 07:22

reporter   ~0016218

Dear toracat,
Marry Christmas and Happy New Year.
One month latter every things looks great. No crash more.
Thank you for the help.
Now you can close this ticket and change the status to resolve.
 
Best Regards,
toracat

toracat

2013-01-03 08:56

manager   ~0016219

Thanks for reporting back. Glad to learn the newer driver fixed the issue.

I have added this report to the upstream bugzilla:

https://bugzilla.redhat.com/show_bug.cgi?id=632650

Issue History

Date Modified Username Field Change
2012-11-21 13:15 FireMaster New Issue
2012-11-21 14:07 tru Note Added: 0016057
2012-11-21 16:00 FireMaster Note Added: 0016059
2012-11-28 07:26 FireMaster Note Added: 0016085
2012-11-28 09:06 toracat Note Added: 0016086
2012-11-28 11:56 FireMaster Note Added: 0016089
2012-11-28 13:38 toracat Note Added: 0016090
2012-11-29 10:08 FireMaster Note Added: 0016094
2012-11-29 14:07 toracat Note Added: 0016096
2012-11-30 07:57 FireMaster Note Added: 0016098
2012-12-02 06:31 SandyTipper Note Added: 0016103
2012-12-02 09:10 toracat Note Added: 0016104
2012-12-05 17:51 toracat Note Added: 0016117
2012-12-05 17:52 toracat Status new => feedback
2012-12-05 20:06 FireMaster Note Added: 0016118
2012-12-05 20:06 FireMaster Status feedback => new
2012-12-28 13:46 narayanab16 Note Added: 0016192
2013-01-03 07:22 FireMaster Note Added: 0016218
2013-01-03 08:56 toracat Note Added: 0016219
2013-01-03 08:58 toracat Status new => resolved
2013-01-03 08:58 toracat Resolution open => fixed
2013-01-03 08:58 toracat Category -OTHER => kernel